// Copyright 2020 Chaos Mesh Authors.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// See the License for the specific language governing permissions and
// limitations under the License.

package store

import (
	"go.uber.org/fx"

	"github.com/chaos-mesh/chaos-daemon/pkg/store/dbstore"
	"github.com/chaos-mesh/chaos-daemon/pkg/store/experiment"
	"github.com/chaos-mesh/chaos-daemon/pkg/store/network"
)

var Module = fx.Options(
	fx.Provide(
		dbstore.NewDBStore,
		experiment.NewStore,
		network.NewIPSetRuleStore,
		network.NewIptablesRuleStore,
		network.NewTCRuleStore,
	),
)
